#!/bin/bash

GENOPTS="\
  --no-arrays \
  --no-pointers \
  --no-structs \
  --no-unions \
  --argc \
  --no-bitfields \
  --checksum \
  --comma-operators \
  --compound-assignment \
  --concise \
  --consts \
  --divs \
  --embedded-assigns \
  --pre-incr-operator \
  --pre-decr-operator \
  --post-incr-operator \
  --post-decr-operator \
  --unary-plus-operator \
  --jumps \
  --longlong \
  --int8 \
  --uint8 \
  --no-float \
  --main \
  --math64 \
  --muls \
  --safe-math \
  --no-packed-struct \
  --no-paranoid \
  --no-volatiles \
  --no-volatile-pointers \
  --const-pointers \
  --no-builtins"

#  --seed <seed> or -s <seed>: use <seed> instead of a random seed generated by Csmith.
#  --inline-function | --no-inline-function: enable | disable inline attributes on generated functions.
#  --inline-function-prob <num>: set the probability of each function being marked as inline (default is 50).

# SIZEOPTS="\
#   --max-array-dim 3 \
#   --max-array-len-per-dim 10 \
#   --max-block-depth 5 \
#   --max-block-size 4 \
#   --max-expr-complexity 10 \
#   --max-funcs 10 \
#   --max-pointer-depth 2 \
#   --max-struct-fields 10 \
#   --max-union-fields 5"

SIZEOPTS="\
  --max-array-dim 1 \
  --max-array-len-per-dim 4 \
  --max-block-depth 1 \
  --max-block-size 10 \
  --max-expr-complexity 4 \
  --max-funcs 10 \
  --max-pointer-depth 2 \
  --max-struct-fields 2 \
  --max-union-fields 2"


csmith $GENOPTS $SIZEOPTS -o $@

